<template>
  <div>
    <div v-for="(items) in externos.transportes_externos" v-bind:key="items.id" :externos="externos">
      <div  v-if="items.show == true">
        <h3 class="mt-2">
          {{ items.consigned.name }}
        </h3>
        <p>{{ items.consigned.address }}</p>
        <p>{{ items.anotacion }}</p>

        <v-layout align-center row v-if="items.image">
          <v-flex xm6 md3 text-xs-left>
            <v-img :src="`${server}/images/paquetes/${items.image}`" height="100" :lazy-src="'../../assets/spinner.gif'">
            </v-img>
          </v-flex>
          <v-flex xm6 md6 text-xs-left></v-flex>
        </v-layout>

        <v-layout align-center row>
          <v-flex xm6 md6 text-xs-left>
            <v-btn depressed small color="primary">Paquetes: {{ items.paquetes }}</v-btn>
          </v-flex>
          <v-flex xm6 md6 text-xs-right @click="deleteAction(items)" v-if="items.context == false">
            <v-btn depressed small class="error">
              <v-icon>delete</v-icon>
              Eliminar
            </v-btn>
          </v-flex>

          <v-flex xm6 md6 text-xs-right @click="modalAction(items)" v-if="items.context == true">
            <v-btn depressed small class="warning">
              <v-icon></v-icon>
              Entregar
            </v-btn>
          </v-flex>

        </v-layout>
        <v-divider></v-divider>
      </div>

      <delete-dialog
        @close-dialog2="dialog2 = false
      snackbar = true" v-bind:dialog2.sync="dialog2"
        :items="toDelete"
        source="/api/task/transportes-externos/delete/"/>

      <task-term
        @close-dialog="dialog = false"
        v-bind:dialog.sync="dialog"
        :id=toEntregar
      ></task-term>

      <snacklocal v-bind:snackbar.sync="snackbar" :message="message"/>
      </div>
    </div>
</template>

<script>
  import DeleteDialog from '../taskDialog/TaskDialogDelete';
  import snacklocal from '../SnackBarLocal';
  import {
    setTimeout
  } from 'timers';
  import server from '../../server';
  import taskTerm from '../../components/taskDialog/TaskDialogTerminateInd'

  export default {
    name: 'ListTransportesExternos',
    props: ['externos'],
    components: {
      DeleteDialog,
      snacklocal,
      taskTerm
    },
    data() {
      return {
        dialog: false,
        dialog2: false,
        entregas: false,
        toDelete: {},
        toEntregar: {},
        snackbar: false,
        message: '',
        server: server
      }
    },
    methods: {
      deleteAction(item) {
        this.dialog2 = true;
        this.toDelete = item;
      },
      modalAction(item){
        this.dialog = true;
        this.toEntregar = item;
      },
      // Necesario para DeleteDialog component
      deleteMessage() {
        this.$store.dispatch('setTaskTransportesExternosDetail', this.$route.params.id).then(() => {
          this.snackbar = true;
          this.message = "El registro fue borrado exitosamente";
          setTimeout(() => {
            this.snackbar = false
          }, 3000);
        })
      },
      updateMessage() {
        this.$store.dispatch('setTaskTransportesExternosDetail', this.$route.params.id).then(() => {
          this.snackbar = true;
          this.message = "El registro fue actualizado exitosamente";
          setTimeout(() => {
            this.snackbar = false
          }, 3000);
        })
      }
    }
  }
</script>
